itpp::it_file_base_old::data_header Struct Reference

Data header structure. More...

`#include <itpp/base/itfile.h>`

## Public Attributes

char | endianity
| 0=little, 1=big
std::string | name
| data name
std::string | type
| data type, e.g. int32, float32, etc. type = "" means deleted
uint32_t | hdr_bytes
uint32_t | data_bytes
uint32_t | block_bytes

## Detailed Description

Data header structure.

Definition at line 673 of file itfile.h.

## Member Data Documentation

## endianity

char itpp::it_file_base_old::data_header::endianity

0=little, 1=big

Definition at line 675 of file itfile.h.

## hdr_bytes

uint32_t itpp::it_file_base_old::data_header::hdr_bytes

size variables

Definition at line 678 of file itfile.h.

## data_bytes

uint32_t itpp::it_file_base_old::data_header::data_bytes

size variables

Definition at line 678 of file itfile.h.

## block_bytes

uint32_t itpp::it_file_base_old::data_header::block_bytes

size variables

Definition at line 678 of file itfile.h.

## name

std::string itpp::it_file_base_old::data_header::name

data name

Definition at line 681 of file itfile.h.

## type

std::string itpp::it_file_base_old::data_header::type

data type, e.g. int32, float32, etc. type = "" means deleted

Definition at line 683 of file itfile.h.

The documentation for this struct was generated from the following file:

- itpp/base/itfile.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8